Subject: Re: Re : kernel 2.6.26 & gcc 4.0.0

From: Marco Stornelli <[email-masked]>
Date: Thu, 07 Aug 2008 12:18:07 +0200

Maybe the problem is in the ppc tree. Since 2.6.27 ppc will be removed, 
perhaps, for your board the code isn't really tested in that tree. Check 
out if your board is under powerpc tree. However strange errors, it 
seems a lack of a semicolon or something like this.

Fabien Oriede ha scritto:
> No, I did not modify this file.
> 
> 
> ----- Message d'origine ----
> De : Marco Stornelli <[email-masked]>
> À : Fabien Oriede <[email-masked]>
> Cc : [email-masked]
> Envoyé le : Jeudi, 7 Août 2008, 11h59mn 19s
> Objet : Re: kernel 2.6.26 & gcc 4.0.0
> 
> Fabien Oriede ha scritto:
>> Hello all,
>> I'm trying to put a cramfs image on my custom board, and for this, I have followed this topic : http://www.denx.de/wiki/view/DULG/RootFileSystemOnACramfsFileSystem
>> Now I have my cramfs image, but I have seen that I need to download my cramfs image in a mtdblock and for that, I need to set some MTD options in the kernel. (http://www.denx.de/wiki/view/DULG/FlashFilesystemsMTD)
>> But when I make the command "make uImage", I have this problem :
>> [root@xxxx linux-2.6.26]# make uImage
>>   CHK    include/linux/version.h
>>   CHK    include/linux/utsrelease.h
>>   CALL    scripts/checksyscalls.sh
>>   CHK    include/linux/compile.h
>>   CALL    arch/powerpc/kernel/systbl_chk.sh
>>   CC      arch/ppc/syslib/m8xx_setup.o
>> arch/ppc/syslib/m8xx_setup.c:68: error: array type has incomplete element type
>> arch/ppc/syslib/m8xx_setup.c:70: error: field name not in record or union initializer
>> arch/ppc/syslib/m8xx_setup.c:70: error: (near initialization for 'mpc8xxads_partitions')
>> arch/ppc/syslib/m8xx_setup.c:71: error: field name not in record or union initializer
>> arch/ppc/syslib/m8xx_setup.c:71: error: (near initialization for 'mpc8xxads_partitions')
>> arch/ppc/syslib/m8xx_setup.c:72: error: field name not in record or union initializer
>> arch/ppc/syslib/m8xx_setup.c:72: error: (near initialization for 'mpc8xxads_partitions')
>> arch/ppc/syslib/m8xx_setup.c:73: error: field name not in record or union initializer
>> arch/ppc/syslib/m8xx_setup.c:73: error: (near initialization for 'mpc8xxads_partitions')
>> arch/ppc/syslib/m8xx_setup.c:73: error: 'MTD_WRITEABLE' undeclared here (not in a function)
>> arch/ppc/syslib/m8xx_setup.c:75: error: field name not in record or union initializer
>> arch/ppc/syslib/m8xx_setup.c:75: error: (near initialization for 'mpc8xxads_partitions')
>> arch/ppc/syslib/m8xx_setup.c:76: error: field name not in record or union initializer
>> arch/ppc/syslib/m8xx_setup.c:76: error: (near initialization for 'mpc8xxads_partitions')
>> arch/ppc/syslib/m8xx_setup.c: In function 'm8xx_show_percpuinfo':
>> arch/ppc/syslib/m8xx_setup.c:312: warning: format '%u' expects type 'unsigned int', but argument 3 has type 'long unsigned int'
>> arch/ppc/syslib/m8xx_setup.c:312: warning: format '%u' expects type 'unsigned int', but argument 4 has type 'long unsigned int'
>> arch/ppc/syslib/m8xx_setup.c: In function 'platform_init':
>> arch/ppc/syslib/m8xx_setup.c:451: warning: assignment from incompatible pointer type
>> make[1]: *** [arch/ppc/syslib/m8xx_setup.o] Erreur 1
>> make: *** [arch/ppc/syslib] Erreur 2
>>
>> [root@xxxx linux-2.6.26]# powerpc-linux-gcc --version
>> powerpc-linux-gcc (GCC) 4.0.0 (DENX ELDK 4.1 4.0.0)
>> Copyright (C) 2005 Free Software Foundation, Inc.
>> This is free software; see the source for copying conditions.  There is NO
>> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE
>> It seems that this is a problem with the version 4 of the gcc, and I would like to know if I need to change for an old version of gcc ? like 3.0. Or may be a patch exists to bring down this problem ?
>> Thanks in advance.
>> Regards,
>> Fabien.
>>
>>
>>       _____________________________________________________________________________ 
>> Envoyez avec Yahoo! Mail. Une boite mail plus intelligente http://mail.yahoo.fr
>>
>>
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> Have you modified that file?
> 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838